Error
A valid request URL is required to generate request examples{
"success": true,
"release": {
"_id": "<string>",
"tenantId": "<string>",
"projectId": "<string>",
"status": "building",
"source": {
"kind": "git",
"ref": {
"branch": "<string>",
"tag": "<string>"
},
"commitSha": "<string>"
},
"contentIntegrity": "<string>",
"version": "<string>",
"entityManifestHash": "<string>",
"deploymentSummaryByEnvironment": {}
}
}{
"error": "<string>"
}{
"success": false,
"error": {
"code": "<string>",
"message": "<string>",
"details": null,
"retryable": true,
"requestId": "<string>"
}
}{
"error": "<string>"
}Get release
Get one release and its build status. Poll until the status is ready before you deploy.
GET
/
api
/
cicd
/
v1
/
projects
/
{projectId}
/
releases
/
{releaseId}
Error
A valid request URL is required to generate request examples{
"success": true,
"release": {
"_id": "<string>",
"tenantId": "<string>",
"projectId": "<string>",
"status": "building",
"source": {
"kind": "git",
"ref": {
"branch": "<string>",
"tag": "<string>"
},
"commitSha": "<string>"
},
"contentIntegrity": "<string>",
"version": "<string>",
"entityManifestHash": "<string>",
"deploymentSummaryByEnvironment": {}
}
}{
"error": "<string>"
}{
"success": false,
"error": {
"code": "<string>",
"message": "<string>",
"details": null,
"retryable": true,
"requestId": "<string>"
}
}{
"error": "<string>"
}status is ready before you deploy the release. The status is one of building, validated, compiled, materializing, materializing_versions, ready, materialization_failed, failed, or superseded. The failed and materialization_failed statuses mean the build did not complete.
The response includes the release source, version, and content integrity hash. The hash is set when the release is ready. It also includes a summary of the release’s deployments for each environment. A release that doesn’t exist or that you can’t access returns 404.Authorizations
Path Parameters
Was this page helpful?